ORIGIN = PWB
ORIGIN_VER = 2.0
PROJ = ITUNE
PROJFILE = ITUNE.MAK
DEBUG = 0

CC  = cl
CFLAGS_G  = /W2 /BATCH
CFLAGS_D  = /f /Zi /Od
CFLAGS_R  = /f- /Ot /Oi /Ol /Oe /Og /Gs
CXX  = cl
CXXFLAGS_G  = /W3 /G2 /Gy /WX /BATCH
CXXFLAGS_D  = /f- /Od /Zi /Gs
CXXFLAGS_R  = /f- /Ot /Ol /Og /Oe /FPa /Gs
MAPFILE_D  = NUL
MAPFILE_R  = NUL
LFLAGS_G  = /NOI /STACK:4096 /BATCH /ONERROR:NOEXE
LFLAGS_D  = /CO /FAR /PACKC
LFLAGS_R  = /NOF /NOPACKC
LINKER	= link
ILINK  = ilink
LRF  = echo > NUL
ILFLAGS  = /a /e
CVFLAGS  = /25
RUNFLAGS  = l

FILES  = CFG.CPP ISTSR.CPP ITUNE.CPP PARSER.CPP STRTAB.CPP MYCOUT.CPP
OBJS  = CFG.obj ISTSR.obj ITUNE.obj PARSER.obj STRTAB.obj MYCOUT.obj

all: $(PROJ).exe

.SUFFIXES:
.SUFFIXES:
.SUFFIXES: .obj .cpp

CFG.obj : CFG.CPP cfg.hpp loctypes.h parser.hpp sat.hpp radio.hpp strtab.hpp\
	modulate.hpp xpdrbase.hpp
!IF $(DEBUG)
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /FoCFG.obj CFG.CPP
<<
!ELSE
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /FoCFG.obj CFG.CPP
<<
!ENDIF

ISTSR.obj : ISTSR.CPP istsr.hpp dospc.h loctypes.h
!IF $(DEBUG)
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /FoISTSR.obj ISTSR.CPP
<<
!ELSE
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /FoISTSR.obj ISTSR.CPP
<<
!ENDIF

ITUNE.obj : ITUNE.CPP itune.hpp loctypes.h dospc.h mycout.hpp istsr.hpp\
	cmd.hpp cfg.hpp parser.hpp sat.hpp radio.hpp strtab.hpp modulate.hpp\
	xpdrbase.hpp
!IF $(DEBUG)
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /FoITUNE.obj ITUNE.CPP
<<
!ELSE
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /FoITUNE.obj ITUNE.CPP
<<
!ENDIF

PARSER.obj : PARSER.CPP parser.hpp loctypes.h
!IF $(DEBUG)
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /FoPARSER.obj PARSER.CPP
<<
!ELSE
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /FoPARSER.obj PARSER.CPP
<<
!ENDIF

STRTAB.obj : STRTAB.CPP strtab.hpp loctypes.h
!IF $(DEBUG)
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /FoSTRTAB.obj STRTAB.CPP
<<
!ELSE
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /FoSTRTAB.obj STRTAB.CPP
<<
!ENDIF

MYCOUT.obj : MYCOUT.CPP mycout.hpp loctypes.h
!IF $(DEBUG)
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /FoMYCOUT.obj MYCOUT.CPP
<<
!ELSE
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /FoMYCOUT.obj MYCOUT.CPP
<<
!ENDIF


$(PROJ).exe : $(OBJS)
!IF $(DEBUG)
	$(LRF) @<<$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_D)
$(LIBS: = +^
) +
$(LLIBS_G: = +^
) +
$(LLIBS_D: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_D);
<<
!ELSE
	$(LRF) @<<$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_R)
$(LIBS: = +^
) +
$(LLIBS_G: = +^
) +
$(LLIBS_R: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_R);
<<
!ENDIF
	$(LINKER) @$(PROJ).lrf


.cpp.obj :
!IF $(DEBUG)
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /Fo$@ $<
<<
!ELSE
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /Fo$@ $<
<<
!ENDIF


run: $(PROJ).exe
	$(PROJ).exe $(RUNFLAGS)

debug: $(PROJ).exe
	CV $(CVFLAGS) $(PROJ).exe $(RUNFLAGS)
