/****************************************************************************
Copyright 1997 Anthony Monteiro

Date: 11/19/97
File: xpdrinv.hpp
Description: INVERTING LINEAR TRANSPONDER CLASS

	The output frequency of an inverting transponder
	tracks the input frequency "inversely" (what else?):

		InputFreq = TRANSLATION - OutputFreq
		OuputFreq = TRANSLATION  - InputFreq 

	The output modulation mode is the same as the input mode except
	for SSB where the sideband is reversed.

History:
	11/19/97 Version 1.0
*****************************************************************************/
#ifndef XPDRINV_HPP
#define XPDRINV_HPP

#include "loctypes.h"
#include "xpdrbase.hpp"		// TRANSPONDER base class

class INVERTINGTRANSPONDER : public TRANSPONDER {
private:
	const DOUBLE	dTranslation;

	MODULATION	InvertSideband(MODULATION eMode);

public:
	INVERTINGTRANSPONDER(const TRANSPONDERPARAMS& Params);

	VOID	SetInputFreq(DOUBLE dFreq);
	VOID	SetOutputFreq(DOUBLE dFreq);
	VOID	SetInputMode(MODULATION eMode);
	VOID	SetOutputMode(MODULATION eMode);
};
#endif
// end xpdrinv.hpp
